︠bf3bf33c-4198-471c-a8c6-166b5eda45e3︠
var('t')
start=0
stop=2*pi
position=vector( (4*cos(t), sin(t)) )
path = parametric_plot( position(t).list(), (t, start, stop), color = "black" )
velocity = diff( position(t) )
speed = velocity.norm()
tangent = (1/speed)*velocity
dT = diff(tangent(t))
normal = (1/dT.norm())*dT
acceleration = diff(velocity(t))
deriv_speed = diff(speed)
@interact
def _(t0=slider(0, float(2*pi), float(pi/12), float(pi/4) , label = "Theta"),
      pos_check = ("Position", True), 
      vel_check = ("Velocity", False),
      tan_check = ("Unit Tangent", False),
      nor_check = ("Unit Normal", False),
      acc_check = ("Acceleration", False),
      tancomp_check = ("Tangential Component", False),
      norcomp_check = ("Normal Component", False)
       ):
    speed_component = speed(t0)
    tangent_component = deriv_speed(t0)
    normal_component = sqrt( acceleration(t0).norm()^2 - tangent_component^2 )
    curvature = normal_component/speed_component^2
    pos = arrow((0,0), position(t0), rgbcolor=(0,0,0))
    tan = arrow(position(t0), position(t0) + tangent(t0), rgbcolor=(0,1,0) )
    vel = arrow(position(t0), position(t0) + velocity(t0), rgbcolor=(0,0.5,0))
    nor = arrow(position(t0), position(t0) + normal(t0), rgbcolor=(0.5,0,0))
    acc = arrow(position(t0), position(t0) + acceleration(t0), rgbcolor=(1,0,1))
    tancomp = arrow(position(t0), position(t0) + tangent_component*tangent(t0), rgbcolor=(1,0,1) )
    norcomp = arrow(position(t0), position(t0) + normal_component*normal(t0), rgbcolor=(1,0,1))
    picture = path
    if pos_check:
        picture = picture + pos
    if vel_check:
        picture = picture + vel
    if tan_check:
        picture = picture+ tan
    if nor_check:
        picture = picture + nor
    if acc_check:
        picture = picture + acc
    if tancomp_check:
        picture = picture + tancomp
    if norcomp_check:
        picture = picture + norcomp
    print "Position vector is r(t)=" + position(t)._repr_()
    print "Speed is ", N(speed(t0))
    print "Curvature is ", N(curvature)
    show(picture, figsize=[8,2])
︡7b00e6a5-48f0-4efd-834f-58b968a49501︡{"html": "<!--notruncate--><div padding=6 id='div-interact-0'> <table width=800px height=20px bgcolor='#c5c5c5'\n                 cellpadding=15><tr><td bgcolor='#f9f9f9' valign=top align=left><table><tr><td align=right><font color=\"black\">Theta&nbsp;</font></td><td><table><tr><td>\n    \t<div id='slider-t0-0' class='ui-slider ui-slider-3' style='margin:0px;'><span class='ui-slider-handle'></span></div>\n    \t</td><td><font color='black' id='slider-t0-0-lbl'></font></td></tr></table><script>(function(){ var values = [\"0.0\",\"0.26179938779914941\",\"0.52359877559829882\",\"0.78539816339744828\",\"1.0471975511965976\",\"1.308996938995747\",\"1.5707963267948966\",\"1.8325957145940459\",\"2.0943951023931953\",\"2.3561944901923448\",\"2.617993877991494\",\"2.8797932657906435\",\"3.1415926535897931\",\"3.4033920413889422\",\"3.6651914291880918\",\"3.926990816987241\",\"4.1887902047863905\",\"4.4505895925855397\",\"4.7123889803846897\",\"4.9741883681838388\",\"5.2359877559829879\",\"5.497787143782138\",\"5.7595865315812871\",\"6.0213859193804362\",\"6.2831853071795862\"]; setTimeout(function() {\n    $('#slider-t0-0').slider({\n    \tstepping: 1, min: 0, max: 24, startValue: 3,\n    \tchange: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-t0-0-lbl').text(values[position]); interact(0, \"sage.server.notebook.interact.update(0, \\\"t0\\\", 9, sage.server.notebook.interact.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());sage.server.notebook.interact.recompute(0)\"); },\n    \tslide: function(e,ui) { if(values!=null) $('#slider-t0-0-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-t0-0-lbl').text(values[$('#slider-t0-0').slider('value')]);\n    }, 1); })();</script></td></tr>\n<tr><td align=right><font color=\"black\">Position&nbsp;</font></td><td><input type='checkbox' checked width=200px onchange='interact(0, \"sage.server.notebook.interact.update(0, \\\"pos_check\\\", 10, sage.server.notebook.interact.standard_b64decode(\\\"\"+encode64(this.checked)+\"\\\"), globals());sage.server.notebook.interact.recompute(0)\")'></input></td></tr>\n<tr><td align=right><font color=\"black\">Velocity&nbsp;</font></td><td><input type='checkbox'  width=200px onchange='interact(0, \"sage.server.notebook.interact.update(0, \\\"vel_check\\\", 11, sage.server.notebook.interact.standard_b64decode(\\\"\"+encode64(this.checked)+\"\\\"), globals());sage.server.notebook.interact.recompute(0)\")'></input></td></tr>\n<tr><td align=right><font color=\"black\">Unit Tangent&nbsp;</font></td><td><input type='checkbox'  width=200px onchange='interact(0, \"sage.server.notebook.interact.update(0, \\\"tan_check\\\", 12, sage.server.notebook.interact.standard_b64decode(\\\"\"+encode64(this.checked)+\"\\\"), globals());sage.server.notebook.interact.recompute(0)\")'></input></td></tr>\n<tr><td align=right><font color=\"black\">Unit Normal&nbsp;</font></td><td><input type='checkbox'  width=200px onchange='interact(0, \"sage.server.notebook.interact.update(0, \\\"nor_check\\\", 13, sage.server.notebook.interact.standard_b64decode(\\\"\"+encode64(this.checked)+\"\\\"), globals());sage.server.notebook.interact.recompute(0)\")'></input></td></tr>\n<tr><td align=right><font color=\"black\">Acceleration&nbsp;</font></td><td><input type='checkbox'  width=200px onchange='interact(0, \"sage.server.notebook.interact.update(0, \\\"acc_check\\\", 14, sage.server.notebook.interact.standard_b64decode(\\\"\"+encode64(this.checked)+\"\\\"), globals());sage.server.notebook.interact.recompute(0)\")'></input></td></tr>\n<tr><td align=right><font color=\"black\">Tangential Component&nbsp;</font></td><td><input type='checkbox'  width=200px onchange='interact(0, \"sage.server.notebook.interact.update(0, \\\"tancomp_check\\\", 15, sage.server.notebook.interact.standard_b64decode(\\\"\"+encode64(this.checked)+\"\\\"), globals());sage.server.notebook.interact.recompute(0)\")'></input></td></tr>\n<tr><td align=right><font color=\"black\">Normal Component&nbsp;</font></td><td><input type='checkbox'  width=200px onchange='interact(0, \"sage.server.notebook.interact.update(0, \\\"norcomp_check\\\", 16, sage.server.notebook.interact.standard_b64decode(\\\"\"+encode64(this.checked)+\"\\\"), globals());sage.server.notebook.interact.recompute(0)\")'></input></td></tr>\n</table><div id='cell-interact-0'><?__SAGE__START>\n        <table border=0 bgcolor='#white' width=100% height=100%>\n        <tr><td bgcolor=white align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td>\n                 </tr></table></div>\n                 "}︡
